Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.fourthline.cling.support.contentdirectory
Enum ContentDirectoryErrorCode

    java.lang.Object
      java.lang.Enum<ContentDirectoryErrorCode>
          org.fourthline.cling.support.contentdirectory.ContentDirectoryErrorCode

All Implemented Interfaces:
  Serializable, Comparable<ContentDirectoryErrorCode>

    public enum ContentDirectoryErrorCode

extends Enum<ContentDirectoryErrorCode>

Author:
  Alessio Gaeta

Enum Constant Summary
`CANNOT_PROCESS`
`NO_SUCH_OBJECT`
`UNSUPPORTED_SORT_CRITERIA`

Method Summary
`static ContentDirectoryErrorCode` | `getByCode(int code)`
`int` | `getCode()`
`String` | `getDescription()`
`static ContentDirectoryErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContentDirectoryErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_SUCH_OBJECT

    public static final ContentDirectoryErrorCode NO_SUCH_OBJECT

### UNSUPPORTED_SORT_CRITERIA

    public static final ContentDirectoryErrorCode UNSUPPORTED_SORT_CRITERIA

### CANNOT_PROCESS

    public static final ContentDirectoryErrorCode CANNOT_PROCESS

Method Detail

### values

    public static ContentDirectoryErrorCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContentDirectoryErrorCode c : ContentDirectoryErrorCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContentDirectoryErrorCode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getCode

    public int getCode()

### getDescription

    public String getDescription()

### getByCode

    public static ContentDirectoryErrorCode getByCode(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.